Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 219962

Summary: Review Request: crystal-clear - Crystal Clear KDE Icon set
Product: [Fedora] Fedora Reporter: Chitlesh GOORAH <chitlesh>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-12-27 23:10:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Chitlesh GOORAH 2006-12-17 21:21:08 UTC
Spec URL: http://tux.u-strasbg.fr/~chit/crystal-clear/crystal-clear.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/crystal-clear/crystal-clear-20050622-1.src.rpm
Description:
Crystal Clear is a KDE Icon set

Comment 1 Parag AN(पराग) 2006-12-18 10:02:16 UTC
rpmlint is not silent on RPM
W: crystal-clear no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

W: crystal-clear dangling-symlink
/usr/share/icons/Crystal-Clear/48x48/apps/kmenu.png
/usr/share/icons/Bluecurve/48x48/apps/gnome-main-menu.png
The symbolic link points nowhere.

W: crystal-clear symlink-should-be-relative
/usr/share/icons/Crystal-Clear/48x48/apps/kmenu.png
/usr/share/icons/Bluecurve/48x48/apps/gnome-main-menu.png
Absolute symlinks are problematic eg. when working with chroot environments.

W: crystal-clear dangling-symlink
/usr/share/icons/Crystal-Clear/32x32/apps/kmenu.png
/usr/share/icons/Bluecurve/32x32/apps/gnome-main-menu.png
The symbolic link points nowhere.

W: crystal-clear symlink-should-be-relative
/usr/share/icons/Crystal-Clear/32x32/apps/kmenu.png
/usr/share/icons/Bluecurve/32x32/apps/gnome-main-menu.png
Absolute symlinks are problematic eg. when working with chroot environments.

W: crystal-clear dangling-symlink
/usr/share/icons/Crystal-Clear/22x22/apps/kmenu.png
/usr/share/icons/Bluecurve/24x24/apps/gnome-main-menu.png
The symbolic link points nowhere.

W: crystal-clear symlink-should-be-relative
/usr/share/icons/Crystal-Clear/22x22/apps/kmenu.png
/usr/share/icons/Bluecurve/24x24/apps/gnome-main-menu.png
Absolute symlinks are problematic eg. when working with chroot environments.

W: crystal-clear dangling-symlink
/usr/share/icons/Crystal-Clear/16x16/apps/kmenu.png
/usr/share/icons/Bluecurve/16x16/apps/gnome-main-menu.png
The symbolic link points nowhere.

W: crystal-clear symlink-should-be-relative
/usr/share/icons/Crystal-Clear/16x16/apps/kmenu.png
/usr/share/icons/Bluecurve/16x16/apps/gnome-main-menu.png
Absolute symlinks are problematic eg. when working with chroot environments.




Comment 2 Chitlesh GOORAH 2006-12-18 17:56:57 UTC
That's true.
As you have seen I've added links to fedora logo as kmenu icon.
Is there any better solution for this ?

Comment 3 Parag AN(पराग) 2006-12-19 04:52:57 UTC
Can you check whether
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217557#c17
is helpful to you. I have already suggested this in your 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217557 bug. 


Comment 4 Chitlesh GOORAH 2006-12-20 19:48:15 UTC
Sounds like you didn't understand what make those rpmlint warnings.

It is not about the normal kde issues for "common", but about making the Fedora
Logo appear on kmenu when this icon set is used!

Comment 5 Parag AN(पराग) 2006-12-21 08:00:39 UTC
Then you can ask for help on Fedora-extras mailing list.

Comment 6 Chitlesh GOORAH 2006-12-21 09:44:30 UTC
SPEC: http://tux.u-strasbg.fr/~chit/crystal-clear/crystal-clear.spec

rpmlint /home/chitlesh/rpmbuild/RPMS/noarch/crystal-clear-20050622-2.noarch.rpm
W: crystal-clear no-documentation
W: crystal-clear dangling-relative-symlink
/usr/share/icons/Crystal-Clear/48x48/apps/kmenu.png
../../../Bluecurve/48x48/apps/gnome-main-menu.png
W: crystal-clear dangling-relative-symlink
/usr/share/icons/Crystal-Clear/32x32/apps/kmenu.png
../../../Bluecurve/32x32/apps/gnome-main-menu.png
W: crystal-clear dangling-relative-symlink
/usr/share/icons/Crystal-Clear/22x22/apps/kmenu.png
../../../Bluecurve/24x24/apps/gnome-main-menu.png
W: crystal-clear dangling-relative-symlink
/usr/share/icons/Crystal-Clear/16x16/apps/kmenu.png
../../../Bluecurve/16x16/apps/gnome-main-menu.png

Comment 7 Parag AN(पराग) 2006-12-21 10:31:22 UTC
Quick update
Included tarball and upstream tarball md5sum matches 
adb7962b585c8ad12adc3b82246edb35  CrystalClear.tar.gz

According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=389499, you also
need to replace firefox.png icon or remove it while installing.
Thanks for giving this link Chitlesh.

I have one question, how to check that a given individual icon is LGPL/GPL or
non-LPGL. Do you know about this? 

Also where is LGPL written? I mean no license text is added in RPM

Also,
URL: http://linuxcult.com/node/10 is not working.


Comment 8 Chitlesh GOORAH 2006-12-22 08:30:04 UTC
(In reply to comment #7)
> Quick update
> Included tarball and upstream tarball md5sum matches 
> adb7962b585c8ad12adc3b82246edb35  CrystalClear.tar.gz
> 
> According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=389499, you also
> need to replace firefox.png icon or remove it while installing.
> Thanks for giving this link Chitlesh.

I've asked in the FE mailing list to see what they think of it, since I've once
read that its only trademarks by the authors, however this is an icon set. The
situation might be different.

> I have one question, how to check that a given individual icon is LGPL/GPL or
> non-LPGL. Do you know about this? 
> Also where is LGPL written? I mean no license text is added in RPM
>

see the commented link below the url:
http://www.kde-look.org/content/show.php?content=25668
 
> Also,
> URL: http://linuxcult.com/node/10 is not working.
> 

Ok, I'll use http://www.everaldo.com/crystal.html as URL


Comment 10 Parag AN(पराग) 2006-12-27 04:59:46 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM 
- rpmlint is NOT for RPMS but I found them harmless.
+ source files match upstream.
adb7962b585c8ad12adc3b82246edb35  CrystalClear.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible. 
- But License text is NOT included in package.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ icon set installed successfully.
APPROVED.